CheckEol (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.buildutil

## Class CheckEol

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tomcat.buildutil.CheckEol

- All Implemented Interfaces:
    Cloneable

      public class CheckEol
      extends org.apache.tools.ant.Task

  Ant task that checks that all the files in the given fileset have end-of-line delimiters that are appropriate.

  The goal is to check whether we have problems with Subversion's svn:eol-style property or Git's autocrlf setting when files are committed on one OS and then checked on another one.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckEol()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFileset(org.apache.tools.ant.types.FileSet fs)` Sets the files to be checked
    `void` | `execute()` Perform the check
    `void` | `setMode(String mode)` Sets the line ending mode.

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckEol

          public CheckEol()

  - ### Method Detail

    - #### addFileset

          public void addFileset(org.apache.tools.ant.types.FileSet fs)

      Sets the files to be checked
      Parameters:
        `fs` - The fileset to be checked.

    - #### setMode

          public void setMode(String mode)

      Sets the line ending mode.
      Parameters:
        `mode` - The line ending mode (either LF or CRLF)

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      Perform the check
      Overrides:
        `execute` in class `org.apache.tools.ant.Task`
      Throws:
        `org.apache.tools.ant.BuildException` - if an error occurs during execution of this task.

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.